Product comparison · 2 network switches

D-Link DGS-1210-28/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black vs D-Link DGS-1210-52/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black

Add a product
  • 52specifications compared
  • 8differ
  • 44identical
  • 2known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • DGS-1210-28/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:24
    • DGS-1210-52/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:48
  • SFP module slots quantity
    • DGS-1210-28/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:2
    • DGS-1210-52/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:4
  • LED indicators
    • DGS-1210-28/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:Activity, Link, Power
    • DGS-1210-52/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:Activity, Link, Power, Yes
  • Noise level
    • DGS-1210-28/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:0 dB
    • DGS-1210-52/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:49.7 dB
  • Mean time between failures (MTBF)
    • DGS-1210-28/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:388138 h
    • DGS-1210-52/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:334101 h
  • Power consumption (typical)
    • DGS-1210-28/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:22.45 W
    • DGS-1210-52/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:38.27 W
  • Depth
    • DGS-1210-28/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:140 mm
    • DGS-1210-52/ME/A1A network switch Managed L2 Gigabit Ethernet (10/100/1000) 1U Black:210 mm

Side by side

Differences highlightedShow differences only (on)
Comparison of DGS-1210-28/ME/A1A, DGS-1210-52/ME/A1A
54 specifications
Management features1 differ
MIB supportDiffersRFC1213 MIB II, RFC1493 Bridge MIB, RFC1907 SNMPv2 MIB, RFC1757, 2819 RMON MIB, RFC2021 RMONv2 MIB, RFC1398, 1643, 1650, 2358, 2665 Ether-like MIB, RFC2674, 4363 802.1p MIB, RFC 2233, 2863 IF MIB, RFC 2618 RADIUS Authentication Client MIB, RFC 2620 RADIUS Accounting Client MIB, RFC 2925 Ping & TraceRFC1213 MIB II, RFC1493 Bridge MIB, RFC1907 SNMPv2 MIB, RFC1757, 2819 RMON MIB, RFC2021 RMONv2 MIB, RFC1398, 1643, 1650, 2358, 2665 Ether-like MIB, RFC2674, 4363 802.1p MIB, RFC 2233, 2863 IF MIB, RFC 2618 RADIUS Authentication Client MIB, RFC 2620 RADIUS Accounting Client MIB, RFC 2925 Ping & T
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers2448
Installed SFP modules quantityKnown for one0Unknown — not stated by the source
SFP module slots quantityDiffers24
Design1 differ
LED indicatorsDiffersActivity, Link, PowerActivity, Link, Power, Yes
Number of fansKnown for oneUnknown — not stated by the source1 fan(s)
Performance2 differ
Noise levelDiffers0 dB49.7 dB
Mean time between failures (MTBF)Differs388138 h334101 h
Power1 differ
Power consumption (typical)Differs22.45 W38.27 W
Weight & dimensions1 differ
DepthDiffers140 mm210 mm

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons